TechDraw FormatierteTextAnmerkung

From FreeCAD Documentation
Revision as of 19:09, 21 January 2020 by Maker (talk | contribs) (Created page with "==Kurzanleitung==")

File:Techdraw-textleader.svg TechDraw RichTextBlock

Menu location
TechDraw → Annotations → Insert Rich Text Annotations
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Templates, Draft SVG, LeaderLine

Beschreibung

The RichTextBlock tool adds a formatted annotation block to a LeaderLine or a View.

Stand alone RichTextBlock

Kurzanleitung

  1. Press the File:Techdraw-textleader.svg RichTextBlock button
  2. A Task dialog will open. The dialog allows quick entry of text.
  3. The Start Rich Text Editor button will open a full featured editor. Press the Save icon to record your changes.
  4. After the block is created, it can be edited by double clicking the RichTextBlock in the Tree.
  5. To attach the block to a LeaderLine, select the line before starting the RichTextBlock tool.


Properties

  • DatenX,Y: The location of the block. Relative to the end of the line if attached to a LeaderLine, otherwise this is the position on the page.
  • DatenShowFrame: Draws an outline around the block.
  • DatenMaxWidth: Limits the horizontal size of the block. A value of -1 is for unlimited width.
  • DatenAnnoText: The HTML text of the block.


Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The RichTextBlock tool can be used in macros and from the Python console.

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText

Notes

  • You can edit your RichTextBlock by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.